Page MenuHomeFreeBSD

stand: Move i386_devdesc to a union
ClosedPublic

Authored by imp on Jul 27 2022, 3:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Mar 21, 12:24 PM
Unknown Object (File)
Dec 20 2023, 5:47 AM
Unknown Object (File)
Dec 20 2023, 12:15 AM
Unknown Object (File)
Nov 22 2023, 5:12 PM
Unknown Object (File)
Nov 15 2023, 9:02 AM
Unknown Object (File)
Nov 12 2023, 7:03 PM
Unknown Object (File)
Nov 12 2023, 4:28 PM
Unknown Object (File)
Oct 24 2023, 2:59 AM
Subscribers

Details

Summary

Rather than have the magic, hand-crafted fields that have to align with
fields in other structures at the end of i386_devdesc, make it into
anonymous union and adjust the code accordingly. This is safer and
similar to what CAM does.

Sponsored by: Netflix

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 46641
Build 43530: arc lint + arc unit

Event Timeline

imp requested review of this revision.Jul 27 2022, 3:39 PM

I like it... I'm not really a fan of the naming, but I can't exactly come up with a better suggestion so take that for the very little that it's worth.

This revision is now accepted and ready to land.Jul 27 2022, 5:50 PM

Let's try 'disk' instead of ddd and 'zfs' instad of zdd.

This revision now requires review to proceed.Jul 28 2022, 2:38 PM

That seems intuitive enough, thanks! :-)

This revision is now accepted and ready to land.Jul 28 2022, 3:18 PM
This revision now requires review to proceed.Jul 28 2022, 4:52 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:27 PM
This revision was automatically updated to reflect the committed changes.